Android Question Google Play Billing - One or more of your apps need to be upgraded to v3

hatzisn

Well-Known Member
Licensed User
Longtime User
Good evening everyone,

I just received from Google the text in the following spoiler. The fact is I use in only one app Google Play Billing and I definitely use the latest GoogleBilling library by @Erel. Has anyone else experienced the same? Any advice will be highly appreciated.

Hello Google Play Developer,​
Google Play’s Billing Library helps developers to build high-quality apps that users love, with safe and secure experiences that users expect. Earlier this May, we announced Billing Library 4 with access to the latest features and enhancements.​
You must update one or more of your apps, which uses AIDL or an older version of Billing Library.​
•​
Starting from August 2, 2021, all new apps must use Google Play Billing Library 3
or Billing Library 4
.​
•​
Starting on November 1, 2021, all updates to existing apps must use Google Play Billing Library 3 or Billing Library 4.​
After these dates, new app submissions or app updates with AIDL or older versions of Billing Library will be rejected.​
Action required: Submit updated app(s) by Nov 1
1.​
Review all your apps to find which ones use AIDL or older billing libraries.​
2.​
Upgrade any billing-related libraries and SDKs to versions supporting Billing Library 3, or newer.​
3.​
Sign in to your Play Console and submit your app for review.​
We recommend that you upgrade your billing library every year to get the latest features, and rest assured, we will continue to support each major release for two years.​
Additional Resources
Thank you for continuing to partner with us to make Google Play a trustworthy platform for you and your users.​
 

hatzisn

Well-Known Member
Licensed User
Longtime User

Grande sorriso. Ok let her breath now. ;) I uploaded a new .AAB and it did not report an error since GoogleBilling is an internal library now. For better or worse though I ticked off and ticked on again the library to make sure it will get the newer version. The previous update of the app I had uploaded was back in February 2021 so I suppose I had the old 1.10 version.
 
Last edited:
Upvote 0

hatzisn

Well-Known Member
Licensed User
Longtime User
So, should I understand that Erel has already updated the built in library ?

Yes v1.11 is the correct. It is now an internal library.
 
Upvote 0
Top